Project

General

Profile

Evolution #27477

Montée de version de Moodle 3.6.5+

Added by Arnaud FORNEROT 6 months ago. Updated 11 days ago.

Status:
Résolu
Priority:
Normal
Assigned To:
-
Category:
-
Target version:
Start date:
03/29/2019
Due date:
% Done:

0%

Distribution:

Description

Avant de faire la montée de version de moodle en 2.6 il faudrait s'assurer que l'on puisse faire cette montée de version depuis la version présente en 2.5

History

#1 Updated by Arnaud FORNEROT 13 days ago

  • Subject changed from Préparer montée de version de Moodle to Montée de version de Moodle 3.6.5+
  • Status changed from Nouveau to Résolu
  • Target version set to Envole 6.11

Montée de version effectuée

J'ai pu testé
un passage de moodle 3.1 à 3.6
un passage de moodle 3.4 à 3.6
une installation directement en 3.6

Attention mise à jour d'envole-themes nécessaire si vous utilisez le thème cloud

Normalement moodle ne posera donc pas de problème lors d'un upgrade-auto d'eole 2.5.2 vers 2.6.2
Sauf sur de potentiels plugins/themes installés par vos soins

#2 Updated by Laurent Brillard 13 days ago

Bonjour Arnaud,

En Comité des Usages, on avait émis la préférence de rester sur des versions LTS...
Selon https://docs.moodle.org/dev/Releases#Moodle_3.5_.28LTS.29, la dernière LTS est 3.5.7.

#3 Updated by Arnaud FORNEROT 13 days ago

Ah dsl j'ai pris la dernière dispo pour la version de php présente sur eole 2.6
Et pour moi la 3.6 est bien en LTS puisqu'elle est là
https://download.moodle.org/releases/supported/

Je me trompe ?

#4 Updated by Laurent Brillard 13 days ago

3.6.x stable mais pas LTS, maintenue jusqu'en novembre 2019 (general bugs) / mai 2020 (security bugs)
LTS : 3.5.x maintenue jusqu'en mai 2019 / mai 2021
Prochaine LTS : 3.8, sortirait fin 2019

Du coup, avec une LTS, par rapport à une non-LTS, on pourrait avoir une version mieux corrigée, en fin de vie de la branche Scribe / Envole et sur des serveurs qui ne seraient pas mis à jour régulièrement.

Qu'en penses-tu ?

#5 Updated by Arnaud FORNEROT 11 days ago

Et bien maintenant que j'ai fait le travail du passage à la 3.6 c'est compliqué de revenir en arrière.
Après pour moi plus la version est récente, plus j'aurai des facilités à gérer le passage de la version présente en 2.6 pour passer à celle qui sera sur la 2.7
Enfin vu que la 2.6 est quasiment pas déployé chez vous ou à poitiers, je dirais qu'il serait préférable pour vous de passer directement sur la 2.7.
Et évidemment sur la 2.7 on fera rapidement la montée de version de moodle en 3.8

Also available in: Atom PDF